> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/dsx-air/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/dsx-air/_mcp/server.

# Create a worker

POST https://api.dsx-air.nvidia.com/api/v3/infra/workers/
Content-Type: application/json

Creates a worker instance and returns a registration token. This token is tied to the resulting worker and should be provided to the Air Worker daemon running on the target host in order to complete the registration. Registration token is valid for 1 day, 0:00:00.

Reference: https://docs.nvidia.com/dsx-air/api-reference/workers/api-v-3-infra-workers-create

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Body (application/json)

This endpoint expects an object.

- `fqdn` (string, required)
- `ip_address` (string, required)
- `fleet` (string, required) — The fleet that the worker belongs to.
- `cpu_arch` (enum, optional) — * `x86` - x86 * `ARM` - ARM
  - Allowed values: `x86`, `ARM`
- `flags` (object, optional) — Behavior flags for the worker.
  - `task_handling` (boolean, required) — Whether the worker should handle tasks.

## Response

### 201

- `id` (string, required)
- `created` (datetime, required)
- `modified` (datetime, required)
- `fqdn` (string, required)
- `cpu` (integer, required)
- `memory` (integer, required)
- `storage` (integer, required)
- `available` (boolean, required)
- `ip_address` (string, required)
- `fleet` (string, required) — The fleet that the worker belongs to.
- `registration_token` (string, required) — Token to be used during worker registration. Token is valid for 1 day, 0:00:00.
- `cpu_arch` (enum, optional) — * `x86` - x86 * `ARM` - ARM
  - Allowed values: `x86`, `ARM`
- `flags` (object, optional) — Behavior flags for the worker.
  - `task_handling` (boolean, required) — Whether the worker should handle tasks.

## Errors

### 400 Bad Request Error

- `detail` (string, required) — Description of an error.
- `request_id` (string, required, nullable) — ID assigned to the request which encountered the error. Should be provided when opening a support case.
- `type` (enum, required) — Specific type of a 400 error. * `PROTECTED` - Instance may not be deleted as it is being referenced by other instances. * `VALIDATION` - Validation errors encountered during payload processing.
  - Allowed values: `PROTECTED`, `VALIDATION`
- `protected_instances` (list of object, optional) — Instances which bar the current instance from being deleted. Only defined when `type` is set to `PROTECTED`.
  - `id` (string, required) — ID of the instance.
  - `type` (string, required) — Type of the instance.
- `validation_errors` (map from string to list of object or object or map from string to any or list of object, optional) — Validation errors encountered during payload processing. Only defined when `type` is set to `VALIDATION`.

### 403 Forbidden Error

- `detail` (string, required) — Description of an error.
- `request_id` (string, required, nullable) — ID assigned to the request which encountered the error. Should be provided when opening a support case.

### 500 Internal Server Error

- `request_id` (string, required, nullable) — ID assigned to the request which encountered the error. Should be provided when opening a support case.
- `code` (string, required) — Error code which identifies the error. Should be provided when opening a support case.
- `detail` (string, optional, default: An unexpected error has occurred. Please contact NVIDIA Air support for further assistance.) — Description of an error.

## Examples

**Request**

```json
{
  "fqdn": "string",
  "ip_address": "string",
  "fleet": "string"
}
```

**Response**

```json
{
  "id": "string",
  "created": "2024-01-15T09:30:00Z",
  "modified": "2024-01-15T09:30:00Z",
  "fqdn": "string",
  "cpu": 1,
  "memory": 1,
  "storage": 1,
  "available": true,
  "ip_address": "string",
  "fleet": "string",
  "registration_token": "string",
  "cpu_arch": "x86",
  "flags": {
    "task_handling": true
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.dsx-air.nvidia.com/api/v3/infra/workers/"

payload = {
    "fqdn": "string",
    "ip_address": "string",
    "fleet": "string"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.dsx-air.nvidia.com/api/v3/infra/workers/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"fqdn":"string","ip_address":"string","fleet":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.dsx-air.nvidia.com/api/v3/infra/workers/"

	payload := strings.NewReader("{\n  \"fqdn\": \"string\",\n  \"ip_address\": \"string\",\n  \"fleet\": \"string\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.dsx-air.nvidia.com/api/v3/infra/workers/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"fqdn\": \"string\",\n  \"ip_address\": \"string\",\n  \"fleet\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.dsx-air.nvidia.com/api/v3/infra/workers/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"fqdn\": \"string\",\n  \"ip_address\": \"string\",\n  \"fleet\": \"string\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.dsx-air.nvidia.com/api/v3/infra/workers/', [
  'body' => '{
  "fqdn": "string",
  "ip_address": "string",
  "fleet": "string"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.dsx-air.nvidia.com/api/v3/infra/workers/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"fqdn\": \"string\",\n  \"ip_address\": \"string\",\n  \"fleet\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "fqdn": "string",
  "ip_address": "string",
  "fleet": "string"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.dsx-air.nvidia.com/api/v3/infra/workers/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```